import Vue from 'vue'

import { MyButton, MyButtonGroup } from './components'

const elements = [
  MyButton,
  MyButtonGroup
]

const MyElements = {
  install(vue: typeof Vue): void {
    elements.forEach(element => vue.component(element.name, element))
  }
}

if (typeof window !== 'undefined' && window.Vue) {
  // @ts-ignore
  window.Vue.use(MyElements, {})
}

export { MyButton, MyButtonGroup }
export default MyElements
